package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.UserAccount;
import com.lightinit.hsdataplatformresdir.entity.UserAccountExample;
import java.util.List;
import com.lightinit.hsdataplatformresdir.model.admin.AccountManageBalanceDtoModel;
import com.lightinit.hsdataplatformresdir.model.admin.AccountManageBalanceVOModel;
import org.apache.ibatis.annotations.Param;

public interface UserAccountMapper {
    long countByExample(UserAccountExample example);

    int deleteByExample(UserAccountExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserAccount record);

    int insertSelective(UserAccount record);

    List<UserAccount> selectByExample(UserAccountExample example);

    UserAccount selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserAccount record, @Param("example") UserAccountExample example);

    int updateByExample(@Param("record") UserAccount record, @Param("example") UserAccountExample example);

    int updateByPrimaryKeySelective(UserAccount record);

    int updateByPrimaryKey(UserAccount record);

    List<AccountManageBalanceVOModel> queryBalanceList(AccountManageBalanceDtoModel inputModel);

    long queryBalanceCount(AccountManageBalanceDtoModel inputModel);
}